<div class="actionButtons">
    <button class="btn-with-icon btn btn-info" type=button ng-click="edit()"><i class=ion-plus></i>Nowy</button>
</div>
<div style="padding-bottom: 8px">
    <div class="col-md-offset-2 col-lg-8" style="float: none">
        <ul class="list-group">
            <li class="list-group-item" ng-repeat="element in getModel() track by $index">
                <div class="ndl-head">
                    <div class="content" ng-include="viewTemplateUrl">
                    </div>
                    <div class="btn-group action">
                        <button type="button" class="btn btn-sm btn-info" ng-click="edit($index, element)">Edytuj</button>
                        <button type="button" class="btn btn-sm btn-primary" ng-click="element.prev = !element.prev">Podgląd</button>
                        <button type="button" class="btn btn-sm btn-danger" ng-click="remove($index, element.positionId)">Usuń</button>
                    </div>
                </div>
                <div class="ndl-body">
                    <preview ng-if="element.prev" model="element" config="previewConfig"></preview>
                </div>
            </li>
        </ul>
    </div>
</div>
